@media (max-width: 1700px) {
    /* Fonctionnalités */
    body.page-id-23 #pilotage-activite .wp-block-media-text__content::before {left: -25em;}
}

@media (max-width: 1600px) {
    .section-text-image, .tmpl-souspage-content .content-souspage > *, .section-text-in-column, .tmpl-page-content > .wp-block-group {max-width: 1320px; margin: 4em auto; padding: 0 .75rem;}
    .section-text-image .wp-block-media-text__content, .section-text-boxshadow {width: 100%;}
}

@media (max-width: 1366px) {
    .section-text-image, .tmpl-souspage-content .content-souspage > *, .section-text-in-column, .tmpl-page-content > .wp-block-group {max-width: 1140px; }

    /* Accueil */
    body.page-id-2 #fonctionnalites-pour-qui + .wp-block-column {flex-basis: 0 !important;}
    body.page-id-2 #logos-clients img {width: 120px; height: 120px;}
    body.page-id-2 #meilleur-logiciel ul.checklist {padding: 0;}

    /* Services */
    body.page-id-276 #accompagnement-personnalise .wp-block-media-text__content::before {left: unset; right: 0;}

    /* Parametrage & securite */
    body.page-id-281 #administration-sur-mesure figure::before { content: none;}
    
}

@media (max-width: 1199px) {
    body {font-size: 14px;}
    .section-text-image, .tmpl-souspage-content .content-souspage > *, .section-text-in-column, .tmpl-page-content > .wp-block-group {max-width: 960px; }

    /* Accueil */
    body.page-id-2 #meilleur-logiciel .wp-block-media-text__content::after {background-size: contain; max-width: 150%;}
    body.page-id-2 #solution-tout-en-un {flex-basis: 100% !important;}
}


@media (min-width: 992px) and (max-width: 1199px) {
    /* Accueil */
    body.page-id-2 #fonctionnalites-pour-qui .wp-block-button.is-style-btn-lightgrey .wp-block-button__link {min-width: 100%;}
}


@media (max-width: 991px) {
    h1 {font-size: 2.5rem;}
    h2 {font-size: 2rem;}

    /* Menu burger */
    header {height: 70px; overflow: hidden; transition: all .3s ease-out; padding: 0;}
    header.menu-opened {height: 100vh;}
    #btn-menu-burger {display: block; background: none; border: none; font-size: 2em; font-family: 'Font Awesome 6 Pro'; transition: all .3s ease-in-out; transform: rotate(0);}
    #btn-menu-burger::before {content: '\f0c9'; }
    #btn-menu-burger.close::before, .menu-opened #btn-menu-burger::before {content: '\f00d';}
    #btn-menu-burger.close, .menu-opened #btn-menu-burger {transform: rotate(180deg);}
    #menu-menu-principal {display: none;}
    #header-inner {padding-top: .75em; padding-bottom: .75em;}
    #header-inner > div#widget-header {display: none;}
    #menu-burger {display: block; position: absolute; width: 100vw; top: 70px; height: 0; background-color: var(--color-black); font-size: 1.15em; transition: all .3s ease-in-out; z-index: 99; padding-top: 1em; }
    #menu-burger.open, .menu-opened #menu-burger {left: 0; height: calc(100vh - 70px);}
    #widget-header {flex-direction: column; align-items: center; margin-top: 2em;}
    .menu-menu-principal-container > .menu > .menu-item, #widget-header > * {opacity: 0; transform: scale(1.15) translateY(-30px); transition: transform .3s cubic-bezier(0.4, 0.01, 0.165, 0.99), opacity .4s cubic-bezier(0.4, 0.01, 0.165, 0.99);}
    .menu-menu-principal-container > .menu > .menu-item:nth-child(1) {transition-delay: 0.15s;}
    .menu-menu-principal-container > .menu > .menu-item:nth-child(2) {transition-delay: 0.2s;}
    .menu-menu-principal-container > .menu > .menu-item:nth-child(3) {transition-delay: 0.25s;}
    .menu-menu-principal-container > .menu > .menu-item:nth-child(4) {transition-delay: 0.3s;}
    #widget-header > :nth-child(1) {transition-delay: 0.35s;}
    #widget-header > :nth-child(2) {transition-delay: 0.4s;}
    #widget-header > :nth-child(3) {transition-delay: 0.45s;}
    .menu-opened .menu-menu-principal-container > .menu > .menu-item, .menu-opened #widget-header > * {opacity: 1;transform: scale(1) translateY(0px);}
    .menu-menu-principal-container > .menu > .menu-item > .sub-menu > .menu-item > .sub-menu {display: none;}
    .menu-menu-principal-container > .menu > .menu-item > a, .menu-menu-principal-container > .menu > .menu-item > span {font-size: 2em;}
    .menu-menu-principal-container a, .menu-menu-principal-container  ul > li > span, #widget-header > :first-child a {color: #FFF;}
    .menu-menu-principal-container ul {display: flex; flex-direction: column; gap: 1em; align-items: center; padding: 0;}
    .menu-menu-principal-container ul > li {text-align: center;}
    .menu-menu-principal-container > ul > li > ul {padding: 0; margin-top: .5em;}
    .menu-menu-principal-container > .menu > .menu-item.offres > .sub-menu > .menu-item:first-child {display: none;}
    #menu-burger #widget-header .wp-block-buttons {gap: 1em; margin-top: 1em;}


    /* Éléments de page */
    .section-text-image, .tmpl-souspage-content .content-souspage > *, .section-text-in-column, .tmpl-page-content > .wp-block-group {margin: 4em 2em;}
    .tmpl-souspage-content .content-souspage > figure {margin: 4em 2em !important;}


    /* Accueil */
    body.page-id-2 #meilleur-logiciel.section-text-boxshadow {flex-direction: column;}
    body.page-id-2 #meilleur-logiciel .checklist {padding: 0;}
    body.page-id-2 #fonctionnalites-pour-vous > .wp-block-columns {flex-direction: column;}
    body.page-id-2 #fonctionnalites-pour-quoi .pictogrammes-fonctionnalites > .wp-block-column {display: flex; justify-content: center;}
    body.page-id-2 .pictogrammes-fonctionnalites ul {width: fit-content; padding: 0;}
    body.page-id-2 #fonctionnalites-pour-vous, body.page-id-2 #meilleur-logiciel.section-text-boxshadow  {margin: 0 3em;}
    body.page-id-2 #logos-clients img {width: 100px; height: 100px;}

    /* Fonctionnalités */
    body.page-id-23 #enregistrement-suivi-distribution figure::before {content: none;}
    body.page-id-23 #pilotage-activite .wp-block-media-text__content::before {left: -30em;}

    /* Services */
        /* Gestion de projet */
    .timeline-easyreco .timeline-btn {width: 10px;}
    .timeline-easyreco .timeline-btn img {width: 75px; height: 75px;}
    .timeline-easyreco .timeline-btn-container .stepline, .timeline-easyreco .timeline-btn-container .stepline-active {top: 35px;}

    /* Page 404 */
    .page-404 #cosmonaute, .page-404 #tache {top: 0; left: 0; transform: translate(0,0);}

    /* Contact */
    body.page-id-541 .content-souspage .wp-block-columns {flex-direction: column;}
    body.page-id-541 .content-souspage .wp-block-columns > .wp-block-column:first-of-type {padding-right: 2em !important; display: grid; grid-template-columns: 1fr 1fr; grid-template-rows: repeat(3, auto); gap: 1em;}
    body.page-id-541 .content-souspage .wp-block-columns > .wp-block-column:first-of-type p {grid-column: 1;}
    body.page-id-541 .content-souspage .wp-block-columns > .wp-block-column:first-of-type figure {grid-column: 2; grid-row: 1 /span 4; margin-top: 0 !important;}

    /* Footer */
    .footer-inner {padding: 0 2em;}
}


@media (max-width: 781px) {
    .mobile-hidden {visibility: hidden; display: none;}
    .tmpl-souspage-content .title-souspage, #easyreco-services {padding: 0 1rem;}

    /* Accueil */
    body.page-id-2 #fonctionnalites-pour-qui .wp-block-column,
    body.page-id-2 #fonctionnalites-pour-quoi .pictogrammes-fonctionnalites > .wp-block-column,
    body.page-id-2 #meilleur-logiciel .wp-block-columns > .wp-block-column {flex-basis: calc(50% - 12px) !important;}
    body.page-id-2 #cta-accueil .wp-block-columns > .wp-block-column:last-of-type {position: absolute; top: 0;}

    /* Enregistrement suivi et distribution */
    #tracage-enregistrement-distribution .wp-block-columns #liste-enregistrement-distribution-1,
    #tracage-enregistrement-distribution .wp-block-columns #liste-enregistrement-distribution-2 {flex-basis: calc(50% - 12px) !important;}
}


@media (max-width: 767px) {
    h2 br {display: none;}

    /* Éléments de page */
    .section-text-image, .tmpl-souspage-content .content-souspage > *, .section-text-in-column, .tmpl-page-content > .wp-block-group {margin: 4em 0; padding: 0 1rem;}
    .tmpl-souspage-content .content-souspage > #decouvrir-aussi {margin-top: 6em;}
    .section-text-image {display: flex; flex-direction: column; gap: 2em;}
    .section-text-image.has-media-on-the-right {flex-direction: column-reverse;}
    .wp-block-media-text__media {width: 100%;}
    .section-text-image .wp-block-media-text__media {align-self: center; padding-right: 0; max-width: 60%;}
    .section-text-image.has-media-on-the-right .wp-block-media-text__media {padding-left: 0; }
    #decouvrir-aussi img {max-width: 200px; height: 150px !important;}
    .wp-block-cover, .wp-block-cover-image {min-height: 300px;}
    .tmpl-page-content > .wp-block-cover:is(:first-child) {margin-bottom: -4em; min-height: 300px;}
    #easyreco-services .wp-block-button__link {padding: .5em 2em; font-size: 1.25em;}

    .checklist {width: 100%;}

    /* Accueil */
    body.page-id-2 #meilleur-logiciel .wp-block-media-text__content::after {max-width: calc(100% - 1em); left: 1em; top: calc(100% - 2em);}
    body.page-id-2 #meilleur-logiciel .wp-block-media-text__content::before {content: none;}
    .tmpl-page-content {padding: 0 .75rem;}
    #banner-home {margin-bottom: 0; height: 300px; display: flex; justify-content: center; position: relative;}
    #banner-home svg {height: auto; width: 260%; position: absolute; object-fit: cover; object-position: center;}
    #banner-home +  .section-text-in-column {margin-top: 0;}
    body.page-id-2 #logos-clients .wp-block-gallery figure {width: 100px; max-width: 100px;}
    body.page-id-2 #fonctionnalites-pour-vous, body.page-id-2 #meilleur-logiciel.section-text-boxshadow  {margin: 0 1rem;}

    /* Fonctionnalités */
    body.page-id-23 #self-service .wp-block-media-text__content::before {content: none;}
    body.page-id-23 #enregistrement-suivi-distribution .wp-block-media-text__content::before { left: 0; top: 0; }
    body.page-id-23 #enregistrement-suivi-distribution {margin-bottom: 4em;}
        /* Enregistrement suivi et distribution */
    #suivi-accessible > .wp-block-column:last-of-type {order: -1;}
        /* Self-service */
    #fiabiliser-self-service, #roles-interfaces-adaptes, #exports-integrations-personnalises, #vos-donnees-notre-propriete, #tracer-tous-envois {display: flex; flex-direction: column;}
    #fiabiliser-self-service figure, #roles-interfaces-adaptes figure, #exports-integrations-personnalises figure, #vos-donnees-notre-propriete figure, #tracer-tous-envois figure {order: -1; margin-bottom: 2em !important;}
    #fiabiliser-self-service .wp-block-spacer, #exports-integrations-personnalises .wp-block-spacer, #vos-donnees-notre-propriete .wp-block-spacer {display: none;}

    /* Services */
    body.page-id-276 #gestion-de-projet .wp-block-media-text__content::before {content: none;}
        /* Gestion de projet */
    .timeline-easyreco .timeline-btn p {display: none;}
    #timeline-gestion-projet .timeline-btn {width: 50px;}
    #timeline-gestion-projet .timeline-btn img {width: 50px; height: 50px;}
    #timeline-gestion-projet .timeline-btn-container .stepline, #timeline-gestion-projet .timeline-btn-container .stepline-active {top: 20px;}
    .timeline-easyreco .timeline-container {margin-top: 1.5em;}
    .timeline-easyreco .timeline-marker::before {font-size: 2rem;}

    /* Parametrage & securite */
    body.page-id-281 #personnalisation-adaptee .wp-block-media-text__content::before {left: unset; right: 0;}
    body.page-id-281 #personnalisation-adaptee .wp-block-media-text__content::after {left: unset;}
    body.page-id-281 #administration-sur-mesure .wp-block-media-text__content::after {content: none;}

    /* Page 404 */
    .page-404 #bgr {flex-direction: column;}
    .page-404 #texte {padding-right: 0;}

    /* Contact */
    body.page-id-541 .content-souspage .wp-block-columns > .wp-block-column:first-of-type {padding-right: 0 !important; display: flex; flex-direction: column;}

    /* Footer */
    footer {padding: 4em 0;}
    .footer-inner {padding: 0 1rem;}
}

@media (max-width: 500px){
    /* Accueil */
    body.page-id-2 #fonctionnalites-pour-quoi .pictogrammes-fonctionnalites {gap: 0;}
    body.page-id-2 #fonctionnalites-pour-quoi .pictogrammes-fonctionnalites > .wp-block-column:last-of-type,
    body.page-id-2 #meilleur-logiciel .wp-block-columns > .wp-block-column:last-of-type {margin-top: -1em;}
    body.page-id-2 #fonctionnalites-pour-quoi .pictogrammes-fonctionnalites > .wp-block-column,
    body.page-id-2 #fonctionnalites-pour-qui .wp-block-column,
    #tracage-enregistrement-distribution .wp-block-columns #liste-enregistrement-distribution-1,
    #tracage-enregistrement-distribution .wp-block-columns #liste-enregistrement-distribution-2,
    body.page-id-2 #meilleur-logiciel .wp-block-columns > .wp-block-column  {flex-basis: 100% !important;}
    #liste-enregistrement-distribution-2 {margin-top: -1.5em;}
    body.page-id-2 #meilleur-logiciel .wp-block-columns > .wp-block-column:first-of-type ul li:last-of-type {margin-bottom: .5em;}

    #list-links-footer {display: grid; grid-template-columns: 1fr 1fr;}
    .timeline-easyreco .timeline-item {padding: 1.5em;}
    #timeline-gestion-projet .timeline-btn img {width: 40px; height: 40px; padding: .25em;}
}
